<?php

$hostgroup = '{"hostgroup_name":"unix-hosts","alias":"Unix \/ Linux Servers","register":true,"file_id":"etc\/hostgroups.cfg","members":[],"hostgroup_members":[],"notes":"","notes_url":"","action_url":"","services":[{"service_description":"NIX Ping","check_command":"check_ping","check_command_args":"200,60%!500,80%","template":"default-service","register":true,"file_id":"etc\/services.cfg","is_volatile":false,"max_check_attempts":3,"check_interval":5,"retry_interval":1,"active_checks_enabled":true,"passive_checks_enabled":true,"check_period":"24x7","event_handler_enabled":true,"flap_detection_enabled":true,"process_perf_data":true,"retain_status_information":true,"retain_nonstatus_information":true,"notification_interval":0,"notification_period":"24x7","notification_options":["c","f","r","s","u","w"],"notifications_enabled":true,"contact_groups":["support-group"],"host_name":"","display_name":"","servicegroups":[],"parallelize_check":true,"obsess":true,"check_freshness":false,"freshness_threshold":0,"event_handler":"","event_handler_args":"","low_flap_threshold":0,"high_flap_threshold":0,"flap_detection_options":["c","o","u","w"],"first_notification_delay":0,"contacts":[],"stalking_options":["n"],"notes":"","notes_url":"","action_url":"","icon_image":"","icon_image_alt":"","obsess_over_service":true}]}';

$man_pack = '{"management_pack_name":"nix-host","hostgroup":"unix-hosts","icon":"host_nix.png","description":"This management pack monitors services that are commonly found on a host with a Unix\/Linux Operating System"}';

$guest_user = '{"username":"guest","realname":"Guest User","groups":["guest"],"password":"guest"}';

function runQuery($data, $objectType) {
	$a_handle = curl_init('https://localhost/api/config/'.$objectType);
	curl_setopt($a_handle, CURLOPT_USERPWD, 'monitor:monitor');
	curl_setopt($a_handle, CURLOPT_RETURNTRANSFER, TRUE);
	curl_setopt($a_handle, CURLOPT_POSTFIELDS, $data);
	curl_setopt($a_handle, CURLOPT_HTTPHEADER, array('Content-Type: application/json'));
	curl_setopt($a_handle, CURLOPT_SSL_VERIFYPEER, false);
	return curl_exec($a_handle);
}

$hg = runQuery($hostgroup, 'hostgroup');
$mp = runQuery($man_pack, 'management_pack');
$gu = runQuery($guest_user, 'user');
$ex = runQuery('', 'change');
var_dump($hg, $mp, $gu, $ex);
