Feature: Redirecting on login

	Scenario: Getting redirected and stopping the redirection
		When I am on the login page
		And I enter "monitor" into "username"
		And I enter "monitor" into "password"
		And I click "Login"
		Then I should be on url "/monitor/index.php/wizard"
		Then "display_at_start" should be checked
		When I uncheck "display_at_start"
		Then I should see "Setting saved"
		When I click css ".wizard-close"
		Then I should be on url "/monitor/index.php/tac"
		When I click "Log out"
		Then I should be on url "/monitor/index.php/default/show_login"
		When I am on the login page
		And I enter "monitor" into "username"
		And I enter "monitor" into "password"
		And I click "Login"
		Then I should be on url "/monitor/index.php/tac/index"
		When I hover over the "Configuration" button
		And I click "Host Wizard"
		Then "display_at_start" should be unchecked
		And I check "display_at_start"
		Then I should see "Setting saved"
		And I click css ".wizard-close"
		Then I should be on url "/monitor/index.php/tac"
		When I click "Log out"
		Then I should be on url "/monitor/index.php/default/show_login"
		When I am on the login page
		And I enter "monitor" into "username"
		And I enter "monitor" into "password"
		And I click "Login"
		Then I should be on url "/monitor/index.php/wizard"

	Scenario: End up on tac if not authorized to use wizard
		When I am on the login page
		And I enter "guest" into "username"
		And I enter "guest" into "password"
		And I click "Login"
		Then I should be on url "/monitor/index.php/tac/index"
